Developers
V1PartnerTenantsTenantidSettings

Update company and business contact display names

Active corporate owners and HR admins may read settings with a fresh passkey session. Only owners may edit the company and contact display names. Email, login identity, membership roles and invitation recipients cannot be changed here. Changes use the shared corporate profile version and database audit triggers.

PATCH
/v1/partner/tenants/{tenantId}/settings
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/partner/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/settings" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "contactName": "string",    "expectedVersion": 1  }'
{  "name": "string",  "contactName": "string",  "email": "user@example.com",  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",  "version": 1,  "canEdit": true}